import { AppProperties } from "./app-properties/app-properties";
import { ContentTypes } from "./content-types/content-types";
import { CoreProperties, IPropertiesOptions } from "./core-properties";
import { Document } from "./document";
import { SectionPropertiesOptions } from "./document/body/section-properties/section-properties";
import { FooterWrapper } from "./footer-wrapper";
import { HeaderWrapper } from "./header-wrapper";
import { Media } from "./media";
import { Numbering } from "./numbering";
import { Paragraph, PictureRun } from "./paragraph";
import { Relationships } from "./relationships";
import { Styles } from "./styles";
import { Table } from "./table";
export declare class File {
    private readonly document;
    private readonly styles;
    private readonly coreProperties;
    private readonly numbering;
    private readonly media;
    private readonly docRelationships;
    private readonly fileRelationships;
    private readonly headerWrapper;
    private readonly footerWrapper;
    private readonly contentTypes;
    private readonly appProperties;
    constructor(options?: IPropertiesOptions, sectionPropertiesOptions?: SectionPropertiesOptions);
    addParagraph(paragraph: Paragraph): void;
    createParagraph(text?: string): Paragraph;
    addTable(table: Table): void;
    createTable(rows: number, cols: number): Table;
    createImage(image: string): PictureRun;
    readonly Document: Document;
    readonly Styles: Styles;
    readonly CoreProperties: CoreProperties;
    readonly Numbering: Numbering;
    readonly Media: Media;
    readonly DocumentRelationships: Relationships;
    readonly FileRelationships: Relationships;
    readonly Header: HeaderWrapper;
    readonly Footer: FooterWrapper;
    readonly ContentTypes: ContentTypes;
    readonly AppProperties: AppProperties;
}
