import { IMediaData } from "../../file/media";
import { Num } from "../../file/numbering/num";
import { XmlComponent } from "../../file/xml-components";
import { PictureRun, Run, TextRun } from "./run";
import { ISpacingProperties } from "./formatting/spacing";
export declare class Paragraph extends XmlComponent {
    private properties;
    constructor(text?: string);
    addRun(run: Run): Paragraph;
    createTextRun(text: string): TextRun;
    createPictureRun(imageData: IMediaData): PictureRun;
    heading1(): Paragraph;
    heading2(): Paragraph;
    heading3(): Paragraph;
    heading4(): Paragraph;
    heading5(): Paragraph;
    heading6(): Paragraph;
    title(): Paragraph;
    center(): Paragraph;
    left(): Paragraph;
    right(): Paragraph;
    justified(): Paragraph;
    thematicBreak(): Paragraph;
    pageBreak(): Paragraph;
    maxRightTabStop(): Paragraph;
    leftTabStop(position: number): Paragraph;
    rightTabStop(position: number): Paragraph;
    centerTabStop(position: number): Paragraph;
    bullet(indentLevel: number): Paragraph;
    setNumbering(numbering: Num, indentLevel: number): Paragraph;
    style(styleId: string): Paragraph;
    indent(attrs: object): Paragraph;
    spacing(params: ISpacingProperties): Paragraph;
    keepNext(): Paragraph;
    keepLines(): Paragraph;
}
